"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.File = void 0;
const fs_1 = require("fs");
const path_1 = require("path");
const Logger_1 = require("./Logger");
const { readFile, writeFile } = fs_1.promises;
class File {
    static readFileHelper(path) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const fullPath = path_1.resolve(path);
                Logger_1.Log.debug(`Reading from ${fullPath}`);
                const data = yield readFile(fullPath);
                return data.toString();
            }
            catch (err) {
                Logger_1.Log.error('Read file error');
                throw err;
            }
        });
    }
    static writeFileHelper(path, data) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const fullPath = path_1.resolve(path);
                Logger_1.Log.debug(`Writing to ${fullPath}`);
                yield writeFile(fullPath, data);
            }
            catch (err) {
                Logger_1.Log.error('Write file error');
                throw err;
            }
        });
    }
}
exports.File = File;
