"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Log = void 0;
const winston_1 = require("winston");
const { combine, prettyPrint, timestamp, simple } = winston_1.format;
exports.Log = winston_1.createLogger({
    silent: process.env['NODE_ENV'] === 'test',
    transports: [
        new winston_1.transports.Console({ level: 'info', format: simple() }),
        new winston_1.transports.File({
            filename: 'debug.log',
            level: 'debug',
            format: combine(timestamp(), prettyPrint()),
        }),
    ],
});
