"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.splitByLine = exports.getLineBreakChar = void 0;
const NEW_LINE = '\n';
const CRLF = '\r\n';
const LF = '\r';
function getLineBreakChar(file) {
    const indexOfLF = file.indexOf(NEW_LINE, 1);
    if (indexOfLF === -1) {
        if (file.indexOf(LF) !== -1)
            return LF;
        return NEW_LINE;
    }
    if (file[indexOfLF - 1] === LF)
        return CRLF;
    return NEW_LINE;
}
exports.getLineBreakChar = getLineBreakChar;
function splitByLine(content) {
    const lineBreak = getLineBreakChar(content);
    return content
        .split(lineBreak)
        .map((line) => line.trim())
        .filter((line) => line !== '' && line !== lineBreak);
}
exports.splitByLine = splitByLine;
