"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.onlySeverity = exports.onlyIn = void 0;
const onlyIn = (diffs) => (log) => diffs.some((d) => d.file === log.source &&
    d.patch.some((p) => !log.line || (log.line >= p.from && log.line <= p.to)));
exports.onlyIn = onlyIn;
const onlySeverity = (...severities) => (log) => severities.includes(log.severity);
exports.onlySeverity = onlySeverity;
