"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.escapeRegExp = exports.getRelativePath = void 0;
function getRelativePath(cwd, path) {
    const cwdCross = escapeRegExp(cwd.replace(/\\/g, '/'));
    const pathPosix = path.replace(/\\/g, '/');
    const filePathRegex = new RegExp(`^${cwdCross}/?(.+)`);
    const match = pathPosix.match(filePathRegex);
    return match ? match[1] : null;
}
exports.getRelativePath = getRelativePath;
const reRegExpChar = /[\\^$.*+?()[\]{}|]/g;
const reHasRegExpChar = RegExp(reRegExpChar.source);
function escapeRegExp(s) {
    return reHasRegExpChar.test(s) ? s.replace(reRegExpChar, '\\$&') : s || '';
}
exports.escapeRegExp = escapeRegExp;
